/// <reference types="node" />
import { EventEmitter } from "events";
import { Packet, Segment } from "./models";
export declare class CaptureInterface extends EventEmitter {
    private readonly _cap;
    private readonly _buf;
    constructor();
    open(deviceIdentifier: string): void;
    private _registerInternalHandlers;
}
interface CaptureInterfaceEvents {
    packet: (packet: Packet) => void;
    message: (type: string, message: Segment) => void;
}
export declare interface CaptureInterface {
    on<U extends keyof CaptureInterfaceEvents>(event: U, listener: CaptureInterfaceEvents[U]): this;
    emit<U extends keyof CaptureInterfaceEvents>(event: U, ...args: Parameters<CaptureInterfaceEvents[U]>): boolean;
}
export {};
//# sourceMappingURL=pcap-ffxiv.d.ts.map